com.mockobjects.helpers

## Class FilterTestHelper

- java.lang.Object
- - com.mockobjects.helpers.AbstractServletTestHelper
  - - com.mockobjects.helpers.FilterTestHelper

    public class FilterTestHelper
    extends AbstractServletTestHelper

$Revision: 1.1 $

### Constructor Summary

Constructors
Constructor and Description
`FilterTestHelper(Filter filter)`

### Method Summary

Methods
`MockFilterChain` `getFilterChain()`
`MockFilterConfig` `getFilterConfig()`
`void` `testDoFilter()`
`void` `testInit()`

### Methods inherited from class com.mockobjects.helpers.AbstractServletTestHelper

`getHttpSession, getRequest, getRequestDispatcher, getResponse, getServletConfig, getServletContext`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FilterTestHelper

    public FilterTestHelper(Filter filter)

### Method Detail

#### getFilterChain

    public MockFilterChain getFilterChain()

#### getFilterConfig

    public MockFilterConfig getFilterConfig()

#### testInit

    public void testInit()
                  throws ServletException

Throws:
  `ServletException`

#### testDoFilter

    public void testDoFilter()
                      throws ServletException,
                             java.io.IOException

Throws:
  `ServletException`
  `java.io.IOException`